Bug 1943189 (CVE-2021-22137) - CVE-2021-22137 elasticsearch: Document disclosure flaw when Document or Field Level Security is used
Summary: CVE-2021-22137 elasticsearch: Document disclosure flaw when Document or Field...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-22137
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1943190 1943191 1943192
Blocks: 1943195
TreeView+ depends on / blocked
 
Reported: 2021-03-25 14:46 UTC by Pedro Sampaio
Modified: 2022-09-09 07:12 UTC (History)
45 users (show)

Fixed In Version: elasticsearch 7.11.2, elasticsearch 6.8.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 08:48:51 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5606 0 None None None 2022-07-19 13:40:19 UTC
Red Hat Product Errata RHSA-2022:6407 0 None None None 2022-09-09 07:12:25 UTC

Description Pedro Sampaio 2021-03-25 14:46:17 UTC
A document disclosure flaw was found in Elasticsearch when Document or Field Level Security is used. Search queries do not properly preserve security permissions when executing certain cross-cluster search queries. This could result in the search disclosing the existence of documents the attacker should not be able to view. This could result in an attacker gaining additional insight into potentially sensitive indices.

References:

https://discuss.elastic.co/t/elastic-stack-7-12-0-and-6-8-15-security-update/268125

Comment 1 Pedro Sampaio 2021-03-25 14:47:18 UTC
Created python-elasticsearch tracking bugs for this issue:

Affects: epel-all [bug 1943191]
Affects: fedora-all [bug 1943192]
Affects: openstack-rdo [bug 1943190]

Comment 2 juneau 2021-03-31 13:21:19 UTC
Marking Hosted Services / services-assisted-installer notaffected per BU:

"assisted-test-infra is our testing infrastructure. It has nothing to do with prod code."

Comment 4 Przemyslaw Roguski 2021-04-02 12:12:47 UTC
Statement:

In Elasticsearch, Document and Field Level Security is an enterprise only feature [1]. Hence the open source version is unaffected by this vulnerability.

[1] https://www.elastic.co/subscriptions

Comment 5 Przemyslaw Roguski 2021-04-02 12:12:52 UTC
External References:

https://discuss.elastic.co/t/elastic-stack-7-12-0-and-6-8-15-security-update/268125

Comment 8 ewolinet 2021-04-05 15:04:38 UTC
Cluster Logging Elasticsearch is built without X-Pack so it is not impacted by this.

Comment 13 errata-xmlrpc 2022-07-19 13:40:16 UTC
This issue has been addressed in the following products:

  RHINT Camel-Q 2.7

Via RHSA-2022:5606 https://access.redhat.com/errata/RHSA-2022:5606

Comment 14 errata-xmlrpc 2022-09-09 07:12:21 UTC
This issue has been addressed in the following products:

  RHAF Camel-K 1.8

Via RHSA-2022:6407 https://access.redhat.com/errata/RHSA-2022:6407


Note You need to log in before you can comment on or make changes to this bug.